import requestSys from '@/utils/requestSys'


// 获取用户列表
export function fetchList(query) {
  return requestSys({
    url: '/user/page',
    method: 'get',
    params: query
  })
}
// 获取职位数据
export function fetchPositionList(query) {
  return requestSys({
    url: '/user/positionSelector',
    method: 'get',
    params: query
  })
}
// 创建用户
export function createUser(data) {
  return requestSys({
    url: '/user/add',
    method: 'post',
    data
  })
}
// 更新职位信息
export function updateUser(data) {
  return requestSys({
    url: '/user/edit',
    method: 'post',
    data
  })
}
// 删除职位
export function deleteUser(data) {
  return requestSys({
    url: '/user/delete',
    method: 'post',
    data
  })
}




